Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
Class BasicGrailsPluginInfo

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.plugins.BasicGrailsPluginInfo

All Implemented Interfaces:
  groovy.lang.GroovyObject, GrailsPluginInfo

    public class BasicGrailsPluginInfo

extends groovy.lang.GroovyObjectSupport
implements GrailsPluginInfo

Simple Javabean implementation of the GrailsPluginInfo interface.

Since:
  1.3
Author:
  Graeme Rocher

Field Summary

Fields inherited from interface org.codehaus.groovy.grails.plugins.GrailsPluginInfo
`NAME, TRAILING_NAME, VERSION`

Constructor Summary
`BasicGrailsPluginInfo(Resource pluginLocation)`

Method Summary
`Resource` | `getDescriptor()` Returns the location of the Resource that represents the plugin descriptor (the *GrailsPlugin.groovy file)
`String` | `getFullName()`
`String` | `getName()`
`Resource` | `getPluginDir()`
`Map` | `getProperties()`
`Object` | `getProperty(String property)`
`String` | `getVersion()`
`void` | `setName(String name)`
`void` | `setProperty(String property, Object newValue)`
`void` | `setVersion(String version)`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicGrailsPluginInfo

    public BasicGrailsPluginInfo(Resource pluginLocation)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `GrailsPluginInfo`
  Returns:
    The name of the plug-in

### setName

    public void setName(String name)

### getVersion

    public String getVersion()

  Specified by:
    `getVersion` in interface `GrailsPluginInfo`
  Returns:
    The version of the plug-in

### setVersion

    public void setVersion(String version)

### setProperty

    public void setProperty(String property,
                            Object newValue)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`
  Overrides:
    `setProperty` in class `groovy.lang.GroovyObjectSupport`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`
  Overrides:
    `getProperty` in class `groovy.lang.GroovyObjectSupport`

### getFullName

    public String getFullName()

  Specified by:
    `getFullName` in interface `GrailsPluginInfo`
  Returns:
    The full name of the plugin including version

### getDescriptor

    public Resource getDescriptor()

  Description copied from interface: `GrailsPluginInfo`
  Returns the location of the Resource that represents the plugin descriptor (the *GrailsPlugin.groovy file)

  Specified by:
    `getDescriptor` in interface `GrailsPluginInfo`
  Returns:
    The resource

### getPluginDir

    public Resource getPluginDir()

  Specified by:
    `getPluginDir` in interface `GrailsPluginInfo`
  Returns:
    The directory where the plugin exists or null if it cannot be read

### getProperties

    public Map getProperties()

  Specified by:
    `getProperties` in interface `GrailsPluginInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD